Open CASCADE Technology: StepAP203_DateTimeItem Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepAP203_DateTimeItem Class Reference

Representation of STEP SELECT type DateTimeItem. More...

`#include <StepAP203_DateTimeItem.hxx>`

Inheritance diagram for StepAP203_DateTimeItem:
[legend]

## Public Member Functions
| StepAP203_DateTimeItem ()
| Empty constructor. More...
Standard_Integer | CaseNum (const Handle< Standard_Transient > &ent) const
| Recognizes a kind of DateTimeItem select type 1 -> ProductDefinition from StepBasic 2 -> ChangeRequest from StepAP203 3 -> StartRequest from StepAP203 4 -> Change from StepAP203 5 -> StartWork from StepAP203 6 -> ApprovalPersonOrganization from StepBasic 7 -> Contract from StepBasic 8 -> SecurityClassification from StepBasic 9 -> Certification from StepBasic 0 else. More...
Handle< StepBasic_ProductDefinition > | ProductDefinition () const
| Returns Value as ProductDefinition (or Null if another type) More...
Handle< StepAP203_ChangeRequest > | ChangeRequest () const
| Returns Value as ChangeRequest (or Null if another type) More...
Handle< StepAP203_StartRequest > | StartRequest () const
| Returns Value as StartRequest (or Null if another type) More...
Handle< StepAP203_Change > | Change () const
| Returns Value as Change (or Null if another type) More...
Handle< StepAP203_StartWork > | StartWork () const
| Returns Value as StartWork (or Null if another type) More...
Handle< StepBasic_ApprovalPersonOrganization > | ApprovalPersonOrganization () const
| Returns Value as ApprovalPersonOrganization (or Null if another type) More...
Handle< StepBasic_Contract > | Contract () const
| Returns Value as Contract (or Null if another type) More...
Handle< StepBasic_SecurityClassification > | SecurityClassification () const
| Returns Value as SecurityClassification (or Null if another type) More...
Handle< StepBasic_Certification > | Certification () const
| Returns Value as Certification (or Null if another type) More...
Public Member Functions inherited from StepData_SelectType
Standard_Boolean | Matches (const Handle< Standard_Transient > &ent) const
| Returns True if the Type of an Entity complies with the definition list of the SelectType. Also checks for a SelectMember Default Implementation looks for CaseNum or CaseMem positive. More...
void | SetValue (const Handle< Standard_Transient > &ent)
| Stores an Entity. This allows to define a specific SelectType class with one read method per member Type, which returns the Value casted with the good Type. More...
void | Nullify ()
| Nullifies the Stored Entity. More...
const Handle< Standard_Transient > & | Value () const
| Returns the Stored Entity. Can be used to define specific read methods (see above) More...
Standard_Boolean | IsNull () const
| Returns True if there is no Stored Entity (i.e. it is Null) More...
Handle< Standard_Type > | Type () const
| Returns the Effective (Dynamic) Type of the Stored Entity If it is Null, returns TYPE(Transient) More...
Standard_Integer | CaseNumber () const
| Recognizes the Type of the stored Entity, or zero if it is Null or SelectMember. Calls the first method CaseNum on Value. More...
virtual Handle< StepData_PDescr > | Description () const
| Returns the Description which corresponds to <me> Null if no specific description to give. This description is used to control reading an check validity. Default returns a Null Handle, i.e. undefined description It can suffice if CaseNum and CaseMem give enough control. More...
virtual Handle< StepData_SelectMember > | NewMember () const
| Returns a preferred SelectMember. Default returns a Null By default, a SelectMember can be set according to data type and Name : it is a SelectNamed if Name is defined. More...
virtual Standard_Integer | CaseMem (const Handle< StepData_SelectMember > &ent) const
| Recognize a SelectMember (kind, name). Returns a positive value which identifies the case in the List of immediate cases (distinct from the List of Entity Types). Zero if not recognizes Default returns 0, saying that no immediate value is allowed. More...
Standard_Integer | CaseMember () const
| Returns the Type of the stored SelectMember, or zero if it is Null or Entity. Calls the method CaseMem on Value. More...
Handle< StepData_SelectMember > | Member () const
| Returns Value as a SelectMember. Null if not a SelectMember. More...
Standard_CString | SelectName () const
| Returns the type name of SelectMember. If no SelectMember or with no type name, returns an empty string To change it, pass through the SelectMember itself. More...
Standard_Integer | Int () const
| This internal method gives access to a value implemented by an Integer (to read it) More...
void | SetInt (const Standard_Integer val)
| This internal method gives access to a value implemented by an Integer (to set it) : a SelectMember MUST ALREADY BE THERE ! More...
Standard_Integer | Integer () const
| Gets the value as an Integer. More...
void | SetInteger (const Standard_Integer val, const Standard_CString name="")
| Sets a new Integer value, with an optional type name Warning : If a SelectMember is already set, works on it : value and name must then be accepted by this SelectMember. More...
Standard_Boolean | Boolean () const
void | SetBoolean (const Standard_Boolean val, const Standard_CString name="")
StepData_Logical | Logical () const
void | SetLogical (const StepData_Logical val, const Standard_CString name="")
Standard_Real | Real () const
void | SetReal (const Standard_Real val, const Standard_CString name="")
virtual void | Destroy ()
virtual | ~StepData_SelectType ()

## Detailed Description

Representation of STEP SELECT type DateTimeItem.

## Constructor & Destructor Documentation

StepAP203_DateTimeItem::StepAP203_DateTimeItem | ( |  | ) |

Empty constructor.

## Member Function Documentation

Handle< StepBasic_ApprovalPersonOrganization > StepAP203_DateTimeItem::ApprovalPersonOrganization | ( |  | ) | const

Returns Value as ApprovalPersonOrganization (or Null if another type)

Standard_Integer StepAP203_DateTimeItem::CaseNum | ( | const Handle< Standard_Transient > & | ent | ) | const
| virtual

Recognizes a kind of DateTimeItem select type 1 -> ProductDefinition from StepBasic 2 -> ChangeRequest from StepAP203 3 -> StartRequest from StepAP203 4 -> Change from StepAP203 5 -> StartWork from StepAP203 6 -> ApprovalPersonOrganization from StepBasic 7 -> Contract from StepBasic 8 -> SecurityClassification from StepBasic 9 -> Certification from StepBasic 0 else.

Implements StepData_SelectType.

Handle< StepBasic_Certification > StepAP203_DateTimeItem::Certification | ( |  | ) | const

Returns Value as Certification (or Null if another type)

Handle< StepAP203_Change > StepAP203_DateTimeItem::Change | ( |  | ) | const

Returns Value as Change (or Null if another type)

Handle< StepAP203_ChangeRequest > StepAP203_DateTimeItem::ChangeRequest | ( |  | ) | const

Returns Value as ChangeRequest (or Null if another type)

Handle< StepBasic_Contract > StepAP203_DateTimeItem::Contract | ( |  | ) | const

Returns Value as Contract (or Null if another type)

Handle< StepBasic_ProductDefinition > StepAP203_DateTimeItem::ProductDefinition | ( |  | ) | const

Returns Value as ProductDefinition (or Null if another type)

Handle< StepBasic_SecurityClassification > StepAP203_DateTimeItem::SecurityClassification | ( |  | ) | const

Returns Value as SecurityClassification (or Null if another type)

Handle< StepAP203_StartRequest > StepAP203_DateTimeItem::StartRequest | ( |  | ) | const

Returns Value as StartRequest (or Null if another type)

Handle< StepAP203_StartWork > StepAP203_DateTimeItem::StartWork | ( |  | ) | const

Returns Value as StartWork (or Null if another type)

The documentation for this class was generated from the following file:

- StepAP203_DateTimeItem.hxx